/*
 * Class IO_MEDIUM
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_675 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_675 [] = {0xFF01,1551,674,0xFFFF};
static const EIF_TYPE_INDEX egt_2_675 [] = {0xFF01,674,0xFFFF};
static const EIF_TYPE_INDEX egt_3_675 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_675 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_675 [] = {0xFF01,674,0xFFFF};
static const EIF_TYPE_INDEX egt_6_675 [] = {0xFF01,674,0xFFFF};
static const EIF_TYPE_INDEX egt_7_675 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_675 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_675 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_675 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_675 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_675 [] = {0xFF01,674,0xFFFF};
static const EIF_TYPE_INDEX egt_13_675 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_14_675 [] = {0xFF01,914,0xFFFF};


static const struct desc_info desc_675[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_675), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_675), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_675), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_675), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_675), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_675), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_675), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_675), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_675), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_675), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_675), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_675), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0545 /*674*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_675), 30, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 16437, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 16092, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0725 /*914*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01 /*0*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 16439, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06D1 /*872*/), 16440, 4},
	{EIF_GENERIC(egt_13_675), 16436, 0},
	{EIF_NON_GENERIC(0x06CB /*869*/), 16441, 16},
	{EIF_NON_GENERIC(0x06CB /*869*/), 16434, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06A1 /*848*/), 16435, 36},
	{EIF_NON_GENERIC(0x06DD /*878*/), 16421, 10},
	{EIF_NON_GENERIC(0x069B /*845*/), 16422, 6},
	{EIF_NON_GENERIC(0x06B9 /*860*/), 16423, 28},
	{EIF_NON_GENERIC(0x06A7 /*851*/), 16438, 12},
	{EIF_NON_GENERIC(0x06A7 /*851*/), 16425, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06AD /*854*/), 16418, 8},
	{EIF_NON_GENERIC(0x06D7 /*875*/), 16420, 5},
	{EIF_NON_GENERIC(0x06B3 /*857*/), 16428, 24},
	{EIF_NON_GENERIC(0x06BF /*863*/), 16419, 44},
	{EIF_NON_GENERIC(0x06CB /*869*/), 16426, 20},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 16424, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 16427, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06D1 /*872*/), 16429, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_675), 16430, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 16431, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06B3 /*857*/), 16432, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 16433, 0xFFFFFFFF},
};
void Init675(void)
{
	IDSC(desc_675, 0, 674);
	IDSC(desc_675 + 1, 1, 674);
	IDSC(desc_675 + 32, 791, 674);
	IDSC(desc_675 + 34, 175, 674);
}


#ifdef __cplusplus
}
#endif
